%define name gtkmm
%define version	1.2.10
%define release 1mdk
%define lib_name_orig libgtkmm
%define lib_major 1.2
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: C++ interface for popular GUI library gtk+
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source: http://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.bz2
Patch1: gtkmm-1.2.9-lib64.patch.bz2
URL: http://gtkmm.sourceforge.net/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: flex libgtk+1.2-devel libsigc++-devel >= 1.0.0
Epoch: 1

%description
Gtk-- (also named gtkmm as the package) provides convenient interface for C++
programmers to create graphical user interfaces with Gtk+'s flexible OO
framework. Highlights include type safe callbacks, widgets extensible using
inheritance and over 180 classes that can be freely combined to quickly create
complex user interfaces. Gtk-- is free software distributed under GNU Library
General Public License(LGPL).

Install gtkmm if you would like to develop nice User Interfaces to your C++
programs.

%package -n %{lib_name}
Summary: Main library for gtkmm
Group: System/Libraries
Obsoletes: Gtk-- gtk-- %{name}
Provides: %{lib_name_orig} = %{version}-%{release} %{name} = %{version}-%{release}
Provides: Gtk-- = %{version}-%{release} gtk-- = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with gtkmm.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use Gtk--
Group: Development/GNOME and GTK+
Obsoletes: Gtk---devel gtk---devel %{name}-devel
Requires: %{lib_name} = %{version} libsigc++1.0-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Provides: Gtk---devel = %{version}-%{release} gtk---devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+ (the Gimp
ToolKit) GUI library.

%prep
%setup -q
%patch1 -p1 -b .lib64

%build
%configure --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' > examples/examples.conf

# remove void files
for i in docs/gtk/html docs/gdk/html docs/gdk/header; do
		[ -s $i ] && echo "*****> File $i is no more void <*****  => stopping" && false
		rm -f $i
done

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_includedir}/*.h
%dir %{_includedir}/gdk--
%{_includedir}/gdk--/*.h
%dir %{_includedir}/gtk--
%{_includedir}/gtk--/*.h
%dir %{_includedir}/gtk--/private
%{_includedir}/gtk--/private/*.h
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/include
%{_libdir}/%{name}/include/*.h
%dir %{_libdir}/%{name}/proc
%{_libdir}/%{name}/proc/*
%{_datadir}/aclocal/*.m4

%changelog
* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.2.10-1mdk
- Release 1.2.10
- Remove patch0 (merged upstream)

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-4mdk
- Enforce filelist
- Patch1: Make it lib64-aware

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-2mdk
- Automated rebuild with gcc3.2

* Sat May 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.9-1mdk
- new version

* Mon May 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.8-3mdk
- Patch0: Don't redefine default args (ISO C++ fixes, aka fix build with gcc3)

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Recompiled against latest libsigc++
- Use makeinstall_std macro

* Fri Nov  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.8-1mdk
- new version

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-3mdk
- fix obsolete-not-provided 
- better provides

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.7-2mdk
- BuildRequires: flex
- Remove redundant BuildRequires.

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.7-1mdk
- Release 1.2.7
- Clean specfile

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-3mdk
- gtkmm-devel requires libsigc++-devel, thx to chmouel

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-2mdk
- Recompiled against latest glib/gtk

* Sat Feb 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- make provides qualifying version

* Mon Dec  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-3mdk
- Correct provides

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-2mdk
- Correct Obsoletes

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- new lib policy

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-4mdk
- recompile against newest libstdc++

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-3mdk
- remove hardcoding of CFLAGS no more needed with gcc-2.96
- devel package requires main package of same version

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.3-2mdk
- Fix gcc2.96 compiles ("Dmitry V. Levin" <ldv@fandra.org>).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-3mdk
- now should also compile on non x86 arch, /me sucks

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- automatically added packager tag

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
  (release notes highlights: Changed internals to get around serious gcc bug.
   Earlier versions should be discarded. Use of old version with multiple
   inheritence will cause segfaults!)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-3mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- macros
- specfile big cleanup

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- little cleanup of specfile

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-2mdk
- Don't try to use -fno-rtti

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build 

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

